<template>
    <div>
            <v-snackbar
            v-model="show"
            color="primary"
            :top="true"
            :right="true"
            :multi-line="multiLine"
            >
            <span v-html="body"></span>

            <template v-slot:action="{ attrs }">
                <v-btn
                :color="alertType"
                text
                fab dark small
                v-bind="attrs"
                @click="show = false"
                >
                 <v-icon  color="grey darken-2">mdi-close</v-icon>
                </v-btn>
            </template>
            </v-snackbar>
    </div>
</template>

<script>

    export default {
        props : ['type','message'],
        data()
        {
            return{
                body : "",
                multiLine:true,
                periodTime: 1500,
                show : false,
                alert_type : "red"
            }
        },
        computed:
         {
            alertType()
            {
               return this.alert_type
            }
        },
        mounted() {

            if(this.message)
            {
                this.flash(this.message,this.type == undefined ? "success" : this.type)

            }

            window.event.$on("flash",(message) =>
            {
                if(message.type)
                {
                     
                    this.flash(message.message,message.type)
                }
                else
                this.flash(message.message)
            });

           
        },
        methods:
        {
            flash(message,type="success")
            {
                
                this.show = true
                this.alert_type = type
                this.body = message 
            },
            hide()
            {

            }
            
        }
    }
</script>
<style <style lang="scss">
   .alert-flash
   {

   }
</style>

